target=ip
rm=rm -f
cc=gcc
cflags=-c -ggdb -idirafter ../../include
ld=gcc
lflags=-lm -o $(target)
libs=../../lib/generic_a/libv.a /usr/lib/libpthread.a
xlibs=/usr/X11R6/lib/libGL.a /usr/X11R6/lib/libX11.a
all:$(target)
$(target).o:$(target).c
	$(cc) $(cflags) $(target).c
$(target):$(target).o
	$(ld) $(target).o $(libs) $(lflags)
clean:
	$(rm) $(target).o
	$(rm) $(target)
